require "Inputbox"
class Pushpullgroups
   # initialize on tool activation
   def activate
      @entity = []
      Sketchup::set_status_text("Click on group to perform push/pull", SB_PROMPT)
   end
		
   def onLButtonDown(flags, x, y, view)
      ph = view.pick_helper
      found = ph.do_pick(x,y)
      picked = ph.best_picked
			spacing = 0
			faces = []
      #puts @toggle_selection,"\n"
      if (picked != nil)
         if (picked.kind_of? Sketchup::Group)
						#puts 'selected'          
            @entity = picked
						for i in @entity.entities
							if (i.kind_of? Sketchup::Face)
								faces << i
							end
						end
						for i in faces
								if(spacing==0)
									ipb = Inputbox.new("Push-pull Interval")
									ipb.add "Interval (m)"		
									ret = ipb.show
									return if ret == false
									if(ret[0].length>0)
										spacing = ret[0].to_f.m
									end
								end
								#puts i
								#puts spacing
								i.pushpull spacing
						end						
         end
      end
   end
end
#----------------------------------------------------------------------------
# add menu items
if( not $pushpullgroups_menu_loaded )
    #add_separator_to_menu("Plugins")
    UI.menu("Plugins").add_item("Push-pull Groups") { Sketchup.active_model.select_tool Pushpullgroups.new }
end
$pushpullgroups_menu_loaded = true 